Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.servlet
Class JasperLoader12

    java.lang.Object
      java.lang.ClassLoader
          org.apache.jasper.runtime.JspLoader
              org.apache.jasper.servlet.JasperLoader
                  org.apache.jasper.servlet.JasperLoader12

public class JasperLoader12
extends JasperLoader

1.2 version of the JspLoader

Author:
  Anil K. Vijendran, Harish Prabandham, Costin Manolache

Field Summary

Fields inherited from class org.apache.jasper.runtime.JspLoader
`jars, options, parent`

Method Summary
`protected java.lang.Class` | `defClass(java.lang.String className, byte[] classData)` Just a short hand for defineClass now...
`protected byte[]` | `loadClassDataFromFile(java.lang.String fileName)` Load JSP class data from file, method may be called from within a doPriviledged if a SecurityManager is installed.

Methods inherited from class org.apache.jasper.servlet.JasperLoader
`doLoadClassDataFromFile, findClass, getResource, getResourceAsStream, loadClass, setProtectionDomain, toString`

Methods inherited from class org.apache.jasper.runtime.JspLoader
`addJar, getClassPath, setOptions, setParentClassLoader`

Methods inherited from class java.lang.ClassLoader
`clearAssertionStatus, defineClass, defineClass, defineClass, definePackage, findLibrary, findLoadedClass, findResource, findResources, findSystemClass, getPackage, getPackages, getParent, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### defClass

    protected java.lang.Class defClass(java.lang.String className,
                                       byte[] classData)

  Description copied from class: `JasperLoader`
  Just a short hand for defineClass now... I suspect we might need to make this public at some point of time.

  Overrides:
    `defClass` in class `JasperLoader`

### loadClassDataFromFile

    protected byte[] loadClassDataFromFile(java.lang.String fileName)

  Description copied from class: `JasperLoader`
  Load JSP class data from file, method may be called from within a doPriviledged if a SecurityManager is installed.

  Overrides:
    `loadClassDataFromFile` in class `JasperLoader`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache Software Foundation. All Rights Reserved.